# Release Checklist

## Release Type
- Were there any database schema changes?
- Are there any significant UI changes?
- Have any significant new features been added?
- Are there any API changes?

If the answer to any of the above is yes, then the release MUST be a major or minor release. Otherwise, the release MAY be a patch release (at developer's discretion).

## Major/Minor Releases
- [ ] Add a commit which adds a database upgrade script at `db/upgrade/[oldversion]-[newversion].sql`
  - ALWAYS use a transaction for the entirety of this file
  - At minimum, DB version must be bumped
- [ ] Add a commit which bumps the version in `app/version.ts` and `db/00-version.sql`
- [ ] Tag the latest commit with `vMAJOR.MINOR`

## Patch Releases
- [ ] Add a commit which bumps the patch level in `app/version.ts`
- [ ] Tag the latest commit with `vMAJOR.MINOR.PATCH`
